/shorts.v1alpha1.HousingService/ListHousingRegionsListHousingRegions
List house-price regions (suburbs/LGAs/etc) for the suburb explorer.
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
optional; default 2000 (proto int32)
optional case-insensitive name substring (proto string)
optional filter, e.g. 'suburb' | 'gccsa' | 'state' (proto string)
optional filter, e.g. 'SA' | 'VIC' (proto string)
Responses
(proto shorts.v1alpha1.HousingRegion)
A selectable house-price region (for the suburb explorer).
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.HousingService/ListHousingRegions" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"query": "string",
"regionType": "string",
"stateCode": "string"
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.HousingService/ListHousingRegions" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"query": "string",
"regionType": "string",
"stateCode": "string"
}'